# Uses of Class
java.beans.ParameterDescriptor

Packages that use ParameterDescriptor
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.

## Uses of ParameterDescriptor in java.beans

Methods in java.beans that return ParameterDescriptor
Modifier and Type
Method
Description
`ParameterDescriptor[]`
MethodDescriptor.`getParameterDescriptors()`
Gets the ParameterDescriptor for each of this MethodDescriptor's method's parameters.
Constructors in java.beans with parameters of type ParameterDescriptor
Modifier
Constructor
Description
``
`MethodDescriptor(Method method, ParameterDescriptor[] parameterDescriptors)`
Constructs a `MethodDescriptor` from a `Method` providing descriptive information for each of the method's parameters.